package com.evobms.project.vehicledata.dto;

import java.util.Date;

public class ChartDataPoint {
    private Date timestamp;
    private double voltage;
    private double current;
    private int soc;


    public ChartDataPoint(Date timestamp, double voltage, double current, int soc) {
        this.timestamp = timestamp;
        this.voltage = voltage;
        this.current = current;
        this.soc = soc;
    }

    public Date getTimestamp() { return timestamp; }
    public void setTimestamp(Date timestamp) { this.timestamp = timestamp; }
    public double getVoltage() { return voltage; }
    public void setVoltage(double voltage) { this.voltage = voltage; }
    public double getCurrent() { return current; }
    public void setCurrent(double current) { this.current = current; }
    public int getSoc() { return soc; }
    public void setSoc(int soc) { this.soc = soc; }
}
